Upsert Combo Meal Side Groups
post
/config/sim/v2/menuItems/comboMeals/upsertMealSideGroups
Updates provided fields if sideNum is specified in the request body, else inserts a new combo meal side group.
Request
Supported Media Types
- application/json
- multipart/form-data
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Combo Meal Side Groups Upsert Request body
Root Schema : schema
Type:
Show Source
object-
comboGrpObjNum:
integer
Object number of the Side Item Group that contains the side items for the combo meal. Its value cannot be set to null. Required field to create a new Combo Meal Side Group.Example:
1 -
comboMealObjNum(required):
integer
Combo Meal object numberExample:
1 -
defaultMenuLevelIndex:
integer
Index of the default menu level for this combo group.Example:
1 -
hierUnitId(required):
integer
Unique hierarchy unit referenceExample:
2 - menuLevel: string
-
sideCount:
integer
Number of Combo Meal Group items required for the combo meal side.Example:
1 -
sideNum:
integer
Sequence number of the side. Required to update an existing combo meal side group.Example:
1
Response
Supported Media Types
- application/json
200 Response
Combo Meal Side Group Updated.
201 Response
Combo Meal Side Group Added.